# Recommended location for database
db_file            "~/.config/mpd/database"
sticker_file       "~/.config/mpd/sticker.sql"

# If running mpd using systemd, delete this line to log directly to systemd.

# The music directory is by default the XDG directory, uncomment to amend and choose a different directory
music_directory    "~/media/all"

# Uncomment to refresh the database whenever files in the music_directory are changed
auto_update "yes"

# Uncomment to enable the functionalities
playlist_directory "~/.config/mpd/playlists"
pid_file           "~/.config/mpd/pid"
state_file         "~/.local/state/mpd/state"
sticker_file       "~/.config/mpd/sticker.sql"

audio_output {
        type             "alsa"
        name             "xduoo - XD-05 BAL"
        device           "hw:3,0"
        auto_resample    "no"
        auto_format      "no"
        auto_channels    "no"
}
audio_output {
        type             "alsa"
        name             "Kiwi Ears-Allegro PRO"
        device           "hw:3,0"
        auto_resample    "no"
        auto_format      "no"
        auto_channels    "no"
}

audio_output {
    type            "alsa"
    name            "PipeWire-Alsa"
    device          "default"
    auto_resample   "no"
    auto_format     "no"
    auto_channels   "no"
    mixer_type      "none"
}

replaygain                 "off"
mixer_type                 "none"

audio_output {
        type            "pipewire"
        name            "PipeWire Sound Server"
}
audio_output {
        type                    "fifo"
        name            "Visualizer feed"
        path            "/tmp/mpd.fifo"
        format          "44100:16:2"
}
input {
plugin "tidal"
username "cprieto.ortiz@gmail.com"
password "wasamasa123"
token "eyJraWQiOiJ2OU1GbFhqWSIsImFsZyI6IkVTMjU2In0.eyJ0eXBlIjoibzJfYWNjZXNzIiwidWlkIjoyMDM0MDQ0NzQsInNjb3BlIjoid191c3Igcl91c3Igd19zdWIiLCJnVmVyIjowLCJzVmVyIjowLCJjaWQiOjgwMTcsImN1ayI6ImUyMzAyZDljNjFiMDU3ZDMiLCJleHAiOjE3NDY4ODU4NTcsInNpZCI6IjNkNDYxZGJhLWIzYmUtNDBmMy1hZWVmLTk0NzFiODE3OGRhZiIsImlzcyI6Imh0dHBzOi8vYXV0aC50aWRhbC5jb20vdjEifQ.sb9yQ83w2jxCkyzomyOGRdm6TO771IcNP_LOEQz3q8MhQQhaJIWetl8MtHw_k4_T3Cb3lMcXl_d-GyvC4Ani2A"
}
